| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ob::SensorList Class Reference

`#include <Sensor.hpp>`

## Public Member Functions
| SensorList (std::unique_ptr< SensorListImpl > impl)
virtual | ~SensorList () noexcept
uint32_t | count ()
| Get sensor count. More...
OBSensorType | type (uint32_t index)
| Get the type of the specified Sensor. More...
std::shared_ptr< Sensor > | getSensor (uint32_t index)
| Get Sensor by index number. More...
std::shared_ptr< Sensor > | getSensor (OBSensorType sensorType)
| Obtain the Sensor through the Sensor type. More...

## Detailed Description

Definition at line 111 of file Sensor.hpp.

## Constructor & Destructor Documentation

ob::SensorList::SensorList | ( | std::unique_ptr< SensorListImpl > | impl | ) |

virtual ob::SensorList::~SensorList | ( |  | ) |
| virtual noexcept

## Member Function Documentation

uint32_t ob::SensorList::count | ( |  | ) |

Get sensor count.

Returns
  uint32_t returns the number of Sensors

OBSensorType ob::SensorList::type | ( | uint32_t | index | ) |

Get the type of the specified Sensor.

Parameters

  index | Sensor index

Returns
  OBSensorType returns the Sensor type

std::shared_ptr<Sensor> ob::SensorList::getSensor | ( | uint32_t | index | ) |

Get Sensor by index number.

Parameters

  index | To create a device cable, the range is [0, count-1], if the index exceeds the range, an exception will be thrown

Returns
  std::shared_ptr<Sensor> returns the Sensor object

std::shared_ptr<Sensor> ob::SensorList::getSensor | ( | OBSensorType | sensorType | ) |

Obtain the Sensor through the Sensor type.

Parameters

  sensorType | Sensor type to be obtained

Returns
  std::shared_ptr<Sensor> returns a Sensor object, if the specified type of Sensor does not exist, it will return empty

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Sensor.hpp